>From 0ee5f5cf83367509622b38d0c5f57cb5b1445564 Mon Sep 17 00:00:00 2001
From: Richard Hartmann <richih@debian.org>
Date: Mon, 2 Sep 2013 21:04:41 +0200
Subject: [PATCH] dgit*: Implement `dgit version`

---
 dgit   | 6 ++++++
 dgit.1 | 3 +++
 2 files changed, 9 insertions(+)

diff --git a/dgit b/dgit
index 98fd04d..e11c6f2 100755
--- a/dgit
+++ b/dgit
@@ -28,6 +28,8 @@ use File::Basename;
 use Dpkg::Version;
 use POSIX;
 
+our $dgit_version = 0.14;
+
 our $isuite = 'unstable';
 our $idistro;
 our $package;
@@ -1199,6 +1201,10 @@ sub cmd_quilt_fixup {
     build_maybe_quilt_fixup();
 }
 
+sub cmd_version {
+	print "dgit version $dgit_version\n";
+}
+
 sub parseopts () {
     my $om;
     while (@ARGV) {
diff --git a/dgit.1 b/dgit.1
index 5c5a55e..b185d5d 100644
--- a/dgit.1
+++ b/dgit.1
@@ -148,6 +148,9 @@ by making a new debian/ patch containing your unquilty changes) and
 make a commit of the changes it has made.
 
 This is normally done automatically by dgit build and dgit push.
+.TP
+.B dgit version
+Prints version information and exits.
 .SH OPTIONS
 .TP
 .BR --dry-run | -n
-- 
1.8.4.rc3

